﻿Imports System.Net
Imports Newtonsoft.Json

Public Class Form1
    Private Sub btnPrevisaoTempo_Click(sender As Object, e As EventArgs) Handles btnPrevisaoTempo.Click

        Try
            Dim weatherInfo As WeatherInfo = PrevisaoTempo.PrevisaoTempoCidade(cboCidades.Text)

            lblCidade.Text = weatherInfo.city.name + "," + weatherInfo.city.country
            picImgPais.Load(String.Format("http://openweathermap.org/images/flags/{0}.png", weatherInfo.city.country.ToLower()))
            lblDescricao.Text = weatherInfo.list(0).weather(0).description
            picImagem.Load(String.Format("http://openweathermap.org/img/w/{0}.png", weatherInfo.list(0).weather(0).icon))
            lblTemperaturaMinima.Text = String.Format("{0}°С", Math.Round(weatherInfo.list(0).temp.min, 1))
            lblTemperaturaMaxima.Text = String.Format("{0}°С", Math.Round(weatherInfo.list(0).temp.max, 1))
            lblTemperaturaDia.Text = String.Format("{0}°С", Math.Round(weatherInfo.list(0).temp.day, 1))
            lblTemperaturaNoite.Text = String.Format("{0}°С", Math.Round(weatherInfo.list(0).temp.night, 1))
            lblHumidade.Text = weatherInfo.list(0).humidity.ToString()
        Catch ex As Exception
            MessageBox.Show(" Erro: " & ex.Message)
        End Try

    End Sub
End Class
